Package org.wso2.carbon.task.stub.types.carbon

## Class TaskData

- java.lang.Object
- - org.wso2.carbon.task.stub.types.carbon.TaskData

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class TaskData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  TaskData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TaskData.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `localArtifactContainerName` | field for ArtifactContainerName
    `protected boolean` | `localArtifactContainerNameTracker` |
    `protected String` | `localGroup` | field for Group
    `protected boolean` | `localGroupTracker` |
    `protected boolean` | `localIsEdited` | field for IsEdited
    `protected boolean` | `localIsEditedTracker` |
    `protected String` | `localName` | field for Name
    `protected boolean` | `localNameTracker` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getArtifactContainerName()` | Auto generated getter method
    `String` | `getGroup()` | Auto generated getter method
    `boolean` | `getIsEdited()` | Auto generated getter method
    `String` | `getName()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `boolean` | `isArtifactContainerNameSpecified()` |
    `boolean` | `isGroupSpecified()` |
    `boolean` | `isIsEditedSpecified()` |
    `boolean` | `isNameSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setArtifactContainerName​(String param)` | Auto generated setter method
    `void` | `setGroup​(String param)` | Auto generated setter method
    `void` | `setIsEdited​(boolean param)` | Auto generated setter method
    `void` | `setName​(String param)` | Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localArtifactContainerName

          protected String localArtifactContainerName

      field for ArtifactContainerName

    - #### localArtifactContainerNameTracker

          protected boolean localArtifactContainerNameTracker

    - #### localGroup

          protected String localGroup

      field for Group

    - #### localGroupTracker

          protected boolean localGroupTracker

    - #### localIsEdited

          protected boolean localIsEdited

      field for IsEdited

    - #### localIsEditedTracker

          protected boolean localIsEditedTracker

    - #### localName

          protected String localName

      field for Name

    - #### localNameTracker

          protected boolean localNameTracker

  - ### Constructor Detail

    - #### TaskData

          public TaskData()

  - ### Method Detail

    - #### isArtifactContainerNameSpecified

          public boolean isArtifactContainerNameSpecified()

    - #### getArtifactContainerName

          public String getArtifactContainerName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setArtifactContainerName

          public void setArtifactContainerName​(String param)

      Auto generated setter method
      Parameters:
        `param` - ArtifactContainerName

    - #### isGroupSpecified

          public boolean isGroupSpecified()

    - #### getGroup

          public String getGroup()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setGroup

          public void setGroup​(String param)

      Auto generated setter method
      Parameters:
        `param` - Group

    - #### isIsEditedSpecified

          public boolean isIsEditedSpecified()

    - #### getIsEdited

          public boolean getIsEdited()

      Auto generated getter method
      Returns:
        boolean

    - #### setIsEdited

          public void setIsEdited​(boolean param)

      Auto generated setter method
      Parameters:
        `param` - IsEdited

    - #### isNameSpecified

          public boolean isNameSpecified()

    - #### getName

          public String getName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setName

          public void setName​(String param)

      Auto generated setter method
      Parameters:
        `param` - Name

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`